net.corda.contracts.clause

## Class MultilateralNetState<P>

- net.corda.contracts.clause.MultilateralNetState<P>

- All Implemented Interfaces:
    NetState<P>

      public class MultilateralNetState<P>
      implements NetState<P>

  Subset of state, containing the elements which must match for two or more obligation transactions to be candidates for netting (this does not include the checks to enforce that everyone's amounts received are the same at the end, which is handled under the verify() function). In comparison to `class BilateralNetState`, this doesn't include the parties' keys, as ensuring balances match on input and output is handled elsewhere. Used in cases where all parties (or their proxies) are signing, such as central clearing.

  See Also:
    `class BilateralNetState`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultilateralNetState(Obligation.Terms<P> template)` Subset of state, containing the elements which must match for two or more obligation transactions to be candidates for netting (this does not include the checks to enforce that everyone's amounts received are the same at the end, which is handled under the verify() function). In comparison to `class BilateralNetState`, this doesn't include the parties' keys, as ensuring balances match on input and output is handled elsewhere. Used in cases where all parties (or their proxies) are signing, such as central clearing.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Obligation.Terms<P>` | `component1()`
    `MultilateralNetState<P>` | `copy(Obligation.Terms<P> template)` Subset of state, containing the elements which must match for two or more obligation transactions to be candidates for netting (this does not include the checks to enforce that everyone's amounts received are the same at the end, which is handled under the verify() function). In comparison to `class BilateralNetState`, this doesn't include the parties' keys, as ensuring balances match on input and output is handled elsewhere. Used in cases where all parties (or their proxies) are signing, such as central clearing.
    `boolean` | `equals(java.lang.Object p)`
    `Obligation.Terms<P>` | `getTemplate()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface net.corda.contracts.clause.NetState

      `getTemplate`

- - ### Constructor Detail

    - #### MultilateralNetState

          public MultilateralNetState(Obligation.Terms<P> template)

      Subset of state, containing the elements which must match for two or more obligation transactions to be candidates for netting (this does not include the checks to enforce that everyone's amounts received are the same at the end, which is handled under the verify() function). In comparison to `class BilateralNetState`, this doesn't include the parties' keys, as ensuring balances match on input and output is handled elsewhere. Used in cases where all parties (or their proxies) are signing, such as central clearing.

      See Also:
        `class BilateralNetState`

  - ### Method Detail

    - #### getTemplate

          public Obligation.Terms<P> getTemplate()

    - #### component1

          public Obligation.Terms<P> component1()

    - #### copy

          public MultilateralNetState<P> copy(Obligation.Terms<P> template)

      Subset of state, containing the elements which must match for two or more obligation transactions to be candidates for netting (this does not include the checks to enforce that everyone's amounts received are the same at the end, which is handled under the verify() function). In comparison to `class BilateralNetState`, this doesn't include the parties' keys, as ensuring balances match on input and output is handled elsewhere. Used in cases where all parties (or their proxies) are signing, such as central clearing.

      See Also:
        `class BilateralNetState`

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)